Get a list of recipients for an automated mailout.
Required permissions: Automated Mailout Management
post
Path parameters
automatedMailoutIDstringRequired
Query parameters
mailoutIDstring · uuidRequired
apiTokenstringRequired
API authentication token
Body
startLastModifiedDatestring · date-timeOptional
endLastModifiedDatestring · date-timeOptional
startDeliveryDatestring · date-timeOptional
endDeliveryDatestring · date-timeOptional
startReadDatestring · date-timeOptional
endReadDatestring · date-timeOptional
startBounceDatestring · date-timeOptional
endBounceDatestring · date-timeOptional
startOptOutDatestring · date-timeOptional
endOptOutDatestring · date-timeOptional
pageinteger · int32Optional
Responses
200
OK
application/json
objectOptional
401
Incorrect Permissions or Invalid API Token
application/json
500
Engage Server Error. Unable to process response at this time.
application/json
post/mail/automatedmailouts/{automatedMailoutID}/recipients
POST /mail/automatedmailouts/{automatedMailoutID}/recipients?mailoutID=123e4567-e89b-12d3-a456-426614174000&apiToken=text HTTP/1.1
Host: api.ubiquity.co.nz
Content-Type: application/json
Accept: */*
Content-Length: 462
{
"startLastModifiedDate": "2026-01-01T00:00:00.000Z",
"endLastModifiedDate": "2026-01-01T00:00:00.000Z",
"startDeliveryDate": "2026-01-01T00:00:00.000Z",
"endDeliveryDate": "2026-01-01T00:00:00.000Z",
"startReadDate": "2026-01-01T00:00:00.000Z",
"endReadDate": "2026-01-01T00:00:00.000Z",
"startBounceDate": "2026-01-01T00:00:00.000Z",
"endBounceDate": "2026-01-01T00:00:00.000Z",
"startOptOutDate": "2026-01-01T00:00:00.000Z",
"endOptOutDate": "2026-01-01T00:00:00.000Z",
"page": 1
}{}Last updated
Was this helpful?

